Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000678bareos-core[All Projects] directorpublic2016-08-03 12:242016-12-03 11:49
Reporteriodun 
Assigned Tostephand 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformLinuxOSOpenSUSE LeapOS Version42.1
Product Version15.2.2 
Target VersionFixed in Version 
Summary0000678: BVFS Fatal Error (duplicate key value violates unique constraint)
Description02-Aug 21:36 miv-bareos-dir JobId 809: No Jobs found to prune.
02-Aug 21:36 miv-bareos-dir JobId 809: Begin pruning Files.
02-Aug 21:36 miv-bareos-dir JobId 809: No Files found to prune.
02-Aug 21:36 miv-bareos-dir JobId 809: End auto prune.

03-Aug 10:32 miv-bareos-dir JobId 0: Fatal error: bvfs.c:289 bvfs.c:289 insert INSERT INTO PathHierarchy (PathId, PPathId) VALUES (1130194,1127962) failed:
ERROR: duplicate key value violates unique constraint "pathhierarchy_pkey"
DETAIL: Key (pathid)=(1130194) already exists.

03-Aug 10:32 miv-bareos-dir JobId 0: Fatal error: bvfs.c:263 bvfs.c:263 query SELECT PPathId FROM PathHierarchy WHERE PathId = 1127777 failed:
ERROR: current transaction is aborted, commands ignored until end of transaction block

03-Aug 10:32 miv-bareos-dir JobId 0: Fatal error: bvfs.c:263 bvfs.c:263 query SELECT PPathId FROM PathHierarchy WHERE PathId = 1127982 failed:
ERROR: current transaction is aborted, commands ignored until end of transaction block

03-Aug 10:32 miv-bareos-dir JobId 0: Fatal error: bvfs.c:263 bvfs.c:263 query SELECT PPathId FROM PathHierarchy WHERE PathId = 1127589 failed:
ERROR: current transaction is aborted, commands ignored until end of transaction block

(...)

03-Aug 10:33 miv-bareos-dir JobId 0: Fatal error: bvfs.c:263 bvfs.c:263 query SELECT PPathId FROM PathHierarchy WHERE PathId = 1176129 failed:
ERROR: current transaction is aborted, commands ignored until end of transaction block

03-Aug 10:33 miv-bareos-dir JobId 0: Fatal error: bvfs.c:263 bvfs.c:263 query SELECT PPathId FROM PathHierarchy WHERE PathId = 1175189 failed:
ERROR: current transaction is aborted, commands ignored until end of transaction block

03-Aug 10:33 miv-bareos-dir JobId 0: Fatal error: bvfs.c:421 bvfs.c:421 query INSERT INTO PathVisibility (PathId, JobId) SELECT a.PathId,526 FROM ( SELECT DISTINCT h.PPathId AS PathId FROM PathHierarchy AS h JOIN PathVisibility AS p ON (h.PathId=p.PathId) WHERE p.JobId=526) AS a LEFT JOIN (SELECT PathId FROM PathVisibility WHERE JobId=526) AS b ON (a.PathId = b.PathId) WHERE b.PathId IS NULL failed:
ERROR: current transaction is aborted, commands ignored until end of transaction block

03-Aug 10:33 miv-bareos-dir JobId 0: Error: bvfs.c:425 bvfs.c:425 update UPDATE Job SET HasCache=1 WHERE JobId=526 failed:
ERROR: current transaction is aborted, commands ignored until end of transaction block

03-Aug 10:33 miv-bareos-dir: ERROR in output_formatter.c:633 Failed to send result as json. Maybe result message to long?
Message length = 176
03-Aug 10:34 miv-bareos-dir: ERROR in output_formatter.c:633 Failed to send result as json. Maybe result message to long?
Message length = 39
Additional InformationThere were no running backup jobs and as you can see in the logs above the last job finished 02-Aug 21:36.
Today morning (03-Aug 10:32) the director started spamming lots of error messages related to BVFS.
Since 03-Aug 10:34 it is silent again and I have no idea what happened.

What exactly is bareos telling me here?
Why it started all of a sudden without any jobs running?
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0002340)
tigerfoot (developer)
2016-08-30 22:40

Did you remember if you were using the bareos-webui at that time.
The first .bvfs construction can take a lot of time, and most of users think that it is stuck. So a big majority simply stop it, or reload the webpage.
(restore)

It will work most of the time when people then change the client to restore (often to a smaller fileset) then the table are cleanup and fillup again correctly, which explain why you didn't see messages afterward.
(0002459)
stephand (developer)
2016-12-03 11:49

Fix committed to bareos bareos-16.2 branch with changesetid 6791.

- Related Changesets
bareos: bareos-16.2 b333fe98
Timestamp: 2016-11-24 21:53:38
Author: stephand
Ported: N/A
Details ] Diff ]
Prevent from duplicate key violations on concurrent .bvfs_update

When multiple .bvfs_update were run concurrently, duplicate key
violations could occur on the PathHierarchy table, which lead to aborted
transactions.

Fixes 0000678: BVFS Fatal Error (duplicate key value violates unique
constraint)
mod - src/cats/bvfs.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-03 12:24 iodun New Issue
2016-08-30 22:40 tigerfoot Note Added: 0002340
2016-11-10 16:15 joergs Assigned To => stephand
2016-11-10 16:15 joergs Status new => assigned
2016-12-03 11:49 stephand Changeset attached => bareos bareos-16.2 b333fe98
2016-12-03 11:49 stephand Note Added: 0002459
2016-12-03 11:49 stephand Status assigned => resolved
2016-12-03 11:49 stephand Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker